<?php

App::uses('EvTeamAppModel', 'EvTeam.Model');

/**
 * Business rules for Pages
 */
class Department extends EvTeamAppModel {

	public $displayField = 'title';

	public $actsAs = array(
		'Routable.Routable' => array(
            'alias'=>'team-departments/:displayField',
            'actual'=>':plugin/:controller/view/:primaryKey'
		),
		'MetaData.Meta'
	);

	public $validate = array(
		'title' => array(
			'required' => array(
				'rule' => 'notBlank',
				'message' => 'cannot be blank'
			)
		),
	);

	public $hasAndBelongsToMany = array(
		'EvTeam.TeamMember'
	);

	public function getDepartments($department_id) {

		$departments = $this->find('all', array(
			'conditions' => array(
				'Department.is_active' => 1,
			),
		));
		$selectedDepartment = array();
		foreach ($departments as &$d) {
			if ($d['Department']['id'] == $department_id) {
				$d['Department']['currently_active'] = true;
				$selectedDepartment = $d;
			}
			else {
				$d['Department']['currently_active'] = false;
			}
		}
		return array('departments' => $departments, 'selected' => $selectedDepartment);
	}

}
